Page MenuHomePhabricator

class="wikitable wikitable" corrupted to class="wikitable"
Closed, ResolvedPublic1 Story Points

Description

Results in bugs like https://de.wikipedia.org/?diff=138315500 . This triggers the corruption warning in VE, and appears to be a bug in ve.dm.ClassAttributeNode

Event Timeline

Catrope created this task.Jan 30 2015, 7:47 PM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2015, 7:47 PM
Jdforrester-WMF triaged this task as Normal priority.Jan 31 2015, 2:12 AM
Jdforrester-WMF set Security to None.
Elitre added a subscriber: Elitre.Feb 11 2015, 8:17 PM

What's with the <nowiki></nowiki>s? I'm less concerned about the extra wikitable class going away.

cscott added a subscriber: cscott.Feb 11 2015, 8:31 PM

@MZMcBride the <nowiki> are required if you want the contents of the table cell to be -. Note that there are existing cells with <nowiki> of the same sort.

Yeah, I saw that there were other similar cells. I misread <nowiki>-</nowiki> as <nowiki></nowiki>. My bad.

From quick testing, it seems !- creates a <th> cell containing a "-" and | - creates a <td> cell containing a "-". The latter seems more obvious to me and less clunky than wrapping nowiki tags around "-", but shrug.

I agree that serializing as "| -" might be more 'natural'. It's possible we could hack that into Parsoid as a special case. That's a separate bug/feature request though.

gerritbot added a subscriber: gerritbot.

Change 191037 had a related patch set uploaded (by Esanders):
Test for class attribute duplication bug

https://gerrit.wikimedia.org/r/191037

Patch-For-Review

Change 191028 had a related patch set uploaded (by Catrope):
Ignore duplicates when comparing class lists

https://gerrit.wikimedia.org/r/191028

Patch-For-Review

Change 191028 merged by jenkins-bot:
Ignore duplicates when comparing class lists

https://gerrit.wikimedia.org/r/191028

Jdforrester-WMF closed this task as Resolved.Feb 17 2015, 6:35 PM
Jdforrester-WMF moved this task from External and Administrivia to Q4 on the VisualEditor board.

I can't understand why a duplicate class name is acceptable. Of course you must ignore these duplicates but the editor should also simply discard them

Change 191037 merged by jenkins-bot:
Test for class attribute duplication bug

https://gerrit.wikimedia.org/r/191037